Subject: Re: draft-ietf-trade-iotp-v1.0-dsig-01.txt

From: Yoshiaki KAWATSURA <[email-masked]>
Date: Fri, 02 Jul 1999 20:45:05 +0900 (JST)

Kent,
I have one more quick question.

On one hand, the child element of Parameter is defined as ANY in 4.3.5, on the
other hand, this element  is defined as #PCDATA in Chapter7(Signature
DTD)
Which is correct?

Thanks,
--
Yoshiaki Kawatsura   Hitachi, Ltd.

>>>>> Thu, 01 Jul 1999 12:33:37 +0900 (JST),
	Yoshiaki KAWATSURA <[email-masked]> said:

> Kent,
> I have a quick comment and question for your draft.
> 
> 1. Comment
> I do not know why but it seems to me that your draft has dropped "="
> in the whole your XML example
> for example:
>    <Digest DigestAlgorithmRef "D.1">
>        <Locator href "resource locator"/>
>        <Value>
>             (Digest value)
>        </Value>
>    </Digest>  .
> 
> You should revise this for conforming to XML Specification as follows;
>    <Digest DigestAlgorithmRef="D.1">
>        <Locator href="resource locator"/>
>        <Value>
>             (Digest value)
>        </Value>
>    </Digest>  .
> 
> Additional,
> In 4.3.8 Prameter:
>    <Algorithm ID A1 type "digest" name "urn:ibm:dom-hash">
>            <Parameter type 'AlgorithmRef'>A2</Parameter>
>    </Algorithm>
>    <Algorithm ID A2 type "digest" name "urn:fips:sha1">
>    </Algorithm>
>    <Algorithm ID A3 type "signature" name "urn:ibm:hmac">
>            <Parameter type 'AlgorithmRef'>A1</Parameter>
>    </Algorithm>
> 
> This has been dropped quotation. Please change as follows:
> 
> 
>    <Algorithm ID="A1" type="digest" name="urn:ibm:dom-hash">
>            <Parameter type='AlgorithmRef'>A2</Parameter>
>    </Algorithm>
>    <Algorithm ID="A2" type="digest" name="urn:fips:sha1">
>    </Algorithm>
>    <Algorithm ID="A3" type="signature" name="urn:ibm:hmac">
>            <Parameter type='AlgorithmRef'>A1</Parameter>
>    </Algorithm>
> 
> 
> 2. Question(1)
> In 4.3.8 Parameter:
> 
> On one hand, the type attribute is defined as PCDATA in 4.3.8, on the
> other hand, this attribute is defined as CDATA in Chapter7(Signature
> DTD)
> Which is correct?
> 
> 
> 3. Question(2)
> In 5.1.2 SHA1:
> --
> 5.1.2 SHA1
> 
>    Surface string digest algorithm designed by hte US government for use
>                                                ^^^
>    with the Digital Signature Standard. This algorithm produces a 160-
>    bit hash value.
> --
> What does "hte" mean?
> 
> 
> Thanks,
> --
> Yoshiaki Kawatsura, Hitachi, Ltd.
> 
> 
> 
> 
p> 
-----------------------------------------------------------------------
Message addressed to: [email-masked]
Archive available at: http://www.elistx.com/archives/ietf-trade/
To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
body to: [email-masked]